#!/bin/sh
#   Copyright (c) 2010 digitalSTROM.org, Zurich, Switzerland
#
#   Author: Sergey 'Jin' Bostandzhyan <jin@mediatomb.cc>
#
#   This file is part of digitalSTROM Server.
#
#   netinfo.sh is free software: you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation, either version 3 of the License, or
#   (at your option) any later version.
#
#   netinfo.sh is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with this file. If not, see <http://www.gnu.org/licenses/>.

# source common functions
. ./errlib.sh
. ./jsonlib.sh

json_hostname() {
    echo -n "{ \"success\": true, \"code\": $ERR_OK, \"message\": \"OK\", "
    echo    "\"data\": { \"hostname\": \"$1\" } }"
}

echo "Content-Type: application/json"
echo ""

HOSTNAME=`hostname`
if [[ "$?" -ne 0 ]]; then
    json_error $ERR_HOSTNAME "Error reading hostname!"
    exit 1
fi

json_hostname "$HOSTNAME"

